Taiga
API ReferencePre EncounterAppointmentsV1

Get appointment history

Gets an appointment along with it's full history. The return list is ordered by version ascending.

GET
/appointments/v1/{id}/history

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Path Parameters

id*pre-encounterAppointmentId

The unique identifier for an Appointment.

Response Body

application/json

application/json

curl -X GET "https://example.com/appointments/v1/string/history"
[  {    "id": "string",    "organization_id": "string",    "deactivated": true,    "version": 0,    "updated_at": "2019-08-24T14:15:22Z",    "updating_user_id": "string",    "patient_id": "string",    "start_timestamp": "2019-08-24T14:15:22Z",    "status": "PENDING",    "not_ready_reason": "INACTIVE_PRIMARY",    "ready_source": "MANUAL",    "service_duration": 0,    "services": [      {        "universal_service_identifier": "MD_Visit",        "start_timestamp": "2019-08-24T14:15:22Z"      }    ],    "placer_appointment_id": "string",    "attending_doctor": {      "name": {        "family": "string",        "given": [          "string"        ],        "use": "USUAL",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "suffix": "string"      },      "type": "PRIMARY",      "npi": "string",      "telecoms": [        {          "value": "string",          "use": "HOME",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "addresses": [        {          "use": "HOME",          "line": [            "string"          ],          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string",          "county": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "canonical_id": "string",      "fax": "string",      "other_fax_numbers": [        "string"      ],      "emails": [        "string"      ],      "service_facilities": [        {          "service_facility_id": "string"        }      ]    },    "estimated_copay_cents": 0,    "estimated_patient_responsibility_cents": 0,    "patient_deposit_cents": 0,    "appointment_details": "string",    "checked_in_timestamp": "2019-08-24T14:15:22Z",    "notes": "string",    "location_resource_id": "string",    "automated_eligibility_check_complete": true,    "work_queue": "EMERGENT_ISSUE"  }]